package com.huake.demo.service.impl;

import com.huake.demo.dao.IUserDao;
import com.huake.demo.dao.UserMapper;
import com.huake.demo.service.IUserService;
import com.huake.demo.entity.User;
import com.huake.demo.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

@Service
public class UserServiceImpl implements UserService {

    @Autowired
    private  UserMapper userMapper;

    @Override
    public String deleteByPrimaryKey(Integer id) {

        try {
            if (id!=0){
                int i = userMapper.deleteByPrimaryKey(id);
                if (i==0){
                    return "删除成功!";
                }else {
                    return "删除失败!!";
                }
            }
        }catch (Exception e){
            return e.toString();
        }
        return "未知异常,查看日志!";

    }

    @Override
    public String insert(User record) {
        try {
            System.out.println("用户iD："+record.getId());
            System.out.println("用户名："+record.getName());
            System.out.println("机器人id："+record.getUserid());
            System.out.println("机器人群聊id："+record.getChatid());
            int insert = userMapper.insert(record);
                if (insert>0){
                    return "添加成功";
                }else {
                    return "添加失败";
                }

        }catch (Exception e)
        {
            return e.toString();
        }

    }

    @Override
    public User selectByPrimaryKey(Integer id) {
        User user = userMapper.selectByPrimaryKey(id);
        return user;
    }

    @Override
    public List<User> selectAll() {
        List<User> users = userMapper.selectAll();
        return users;
    }

    @Override
    public String updateByPrimaryKey(User record) {
        try {
            User user1 = new User();
            user1.setId(record.getId());
            user1.setName(record.getName());
            user1.setUserid(record.getUserid());
            user1.setChatid(record.getChatid());
            int i = userMapper.updateByPrimaryKey(user1);
            return "修改成功";
        }catch (Exception e){
            return e.toString();
        }


    }
}
