package com.huake.demo.service.impl;

import com.huake.demo.dao.DlxMapper;
import com.huake.demo.dao.UserMapper;
import com.huake.demo.entity.Dlx;
import com.huake.demo.entity.User;
import com.huake.demo.service.UserService;
import com.huake.demo.service.dlxService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class dlxServiceImpl implements dlxService {

    @Autowired
    private DlxMapper dlxMapper;

    @Override
    public String deleteByPrimaryKey(Integer id) {
        try {
            int i = dlxMapper.deleteByPrimaryKey(id);
            if (i==0){
                return "删除成功!";
            }else {
                return "删除失败!!";
            }
        }catch (Exception e){
            return e.toString();
        }
    }

    @Override
    public String insert(Dlx record) {
        try {
            int insert = dlxMapper.insert(record);
                if (insert>0){
                    return "添加成功";
                }else {
                    return "添加失败";
                }
        }catch (Exception e)
        {
            return e.toString();
        }

    }

    @Override
    public List<Dlx> selectAll() {
        return dlxMapper.selectAll();
    }

    @Override
    public Dlx selectByPrimaryKey(Integer id) {
        Dlx dlx = dlxMapper.selectByPrimaryKey(id);
        if (dlx!=null){
            return dlx;
        }else {
            return null;
        }

    }


}
