package com.huake.demo.service.impl;

import com.huake.demo.dao.DlxMapper;
import com.huake.demo.dao.HeadMapper;
import com.huake.demo.entity.Dlx;

import com.huake.demo.entity.Head;
import com.huake.demo.service.headService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class headServiceImpl implements headService {

    @Autowired
    private HeadMapper headMapper;


    @Override
    public int insert(Head record) {
        try {
            if (record!=null){
                headMapper.insert(record);
                System.out.println("保存成功");
            }else {
                System.out.println("数据不得为空，请重试");
            }
        }catch (Exception e){
            e.printStackTrace();
            return 0;
        }

        return 0;
    }

    @Override
    public List<Head> selectAll() {
        return Collections.emptyList();
    }

    @Override
    public List<Head> getUserById(Integer userId) {
        return headMapper.getUserById(userId);
    }

    @Override
    public void updateUser(Head user) {
        if (user!=null){
            headMapper.updateUser(user);
        }else {
            System.out.println("未知异常");
        }
    }
}
