package com.huake.demo.service.impl;

import com.huake.demo.dao.HeadsMapper;
import com.huake.demo.entity.Heads;
import com.huake.demo.service.headsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class headsServiceImpl implements headsService {

    @Autowired
    private HeadsMapper headMapper;


    @Override
    public int insert(Heads record) {
        try {
            if (record!=null){
                headMapper.insert(record);
                System.out.println("保存成功");
            }else {
                System.out.println("数据不得为空，请重试");
            }
        }catch (Exception e){
            e.printStackTrace();
            return 0;
        }

        return 0;
    }

    @Override
    public List<Heads> selectAll() {
        return Collections.emptyList();
    }

    @Override
    public List<Heads> getUserById(Integer userId) {
        return headMapper.getUserById(userId);
    }

    @Override
    public void updateUser(Heads user) {
        if (user!=null){
            headMapper.updateUser(user);
        }else {
            System.out.println("未知异常");
        }
    }

    @Override
    public Heads getName(String name) {
        return headMapper.getName(name);
    }
}
