package com.huake.demo.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Created by 89456 on 2021/4/23.
 */
public class DataTimeUtil {

    /*
     * 将时间转换为时间戳
     */
    public static String dateToStamp(String s){
        String res;
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date date = null;
        try {
            date = simpleDateFormat.parse(s);
        } catch (ParseException e) {
            e.printStackTrace();
        }
        long ts = date.getTime();
        res = String.valueOf(ts);
        return res;
    }
    /*
     * 将时间戳转换为时间
     */
    public static String stampToDate(String s){
        if(s.length() == 10) s+="000";
        String res;
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("MM/dd HH:mm:ss");
        long lt = new Long(s);
        Date date = new Date(lt);
        res = simpleDateFormat.format(date);
        return res;
    }

    //温度 5min
    //角度x 1min
    //角度y 1min
    //角度z 1min
    //加速度x 1min
    //加速度y 1min
    //加速度z 1min
    //水位 1min
    //位移 5min
    public static void main(String[] args) {
        System.out.println(System.currentTimeMillis());
        System.out.println(stampToDate("1615342200000"));
        System.out.println(stampToDate("1615342140000"));
        System.out.println((1615342200-60*60*24*1)+"000");
        System.out.println(stampToDate((1615342200-60*60*24*1)+"000"));
    }
}
